package com.test;

import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.cfg.Environment;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class HibernateDDLGenerator {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		new HibernateDDLGenerator().execute(Dialect1.ORACLE,UserEntity.class);
	}
	
	private void execute(Dialect1 dialect, Class<?>... classes) {
	 	 AnnotationConfiguration configuration = new AnnotationConfiguration();
		 configuration.setProperty(Environment.DIALECT, dialect.getClassName());
		 for (Class<?> entityClass : classes) {
		    configuration.addAnnotatedClass(entityClass);
		 }
		SchemaExport schemaExport = new SchemaExport(configuration);
		schemaExport.setDelimiter(";");
		schemaExport.setOutputFile(String.format("%s_%s.%s ", new Object[] {"ddl", dialect.name().toLowerCase(), "sql" }));
		boolean consolePrint = true;
		boolean exportInDatabase = false;
		schemaExport.create(consolePrint, exportInDatabase);
	   }

}
